-4

Is Ice Cream Sandwich (Android 4.0 to 4.04) compatible with WhatsApp?

  • 1
    If you can see/install it from the Play Store on your phone/tablet, it's supported. – Chahk Sep 7 '13 at 17:18
5

Yes it supports Android 2.1 and up.

Play Store

| improve this answer | |
3

Did you check their website?

Which Android devices are supported?

We support all Android phones provided they meet the following requirements:

  • Your Android phone is running Android OS 2.1 or later.
  • Your Android phone is able to receive SMS or calls during the verification process. You will also need an adequate data plan in order to receive messages when outside the range of a Wi-Fi network.

We do not support tablets or Wi-Fi only devices at this time.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.